Package org.apache.wiki.tags

## Class CheckLockTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.CheckLockTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class CheckLockTag
    extends WikiTagBase

Checks whether the page is locked for editing. If the mode matches, the tag body is included. The "mode" can be any of the following:

- locked - The page is currently locked, but the lock is owned by someone else.
- owned - The page is currently locked and the current user is the owner of the lock.
- unlocked - Nobody has locked the page.

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`CheckLockTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setMode​(java.lang.String arg)` Sets the mode to check for.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckLockTag

    public CheckLockTag()

### Method Detail

#### initTag

    public void initTag()

This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### setMode

    public void setMode​(java.lang.String arg)

Sets the mode to check for.

Parameters:
  `arg` - A String for the mode.

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws java.io.IOException,
                                    ProviderException

This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`
  `ProviderException`